Update Multiple Document Renditions
Update or re-render document renditions in bulk.
- The maximum CSV input file size is 1GB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard RFC 4180 format, with some exceptions.
- The maximum batch size is 500.
POST
/api/{version}/objects/documents/batch/actions/rerenderHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | text/csv or application/x-www-form-urlencoded |
Accept | application/json (default) or text/csv |
Body Parameters
Section link for Body ParametersUpload parameters as a CSV file.
| Name | Description |
|---|---|
idrequired | The system-assigned ID of the document. |
major_version_number__vrequired | The major version number of the existing document. |
minor_version_number__vrequired | The minor version number of the existing document. |
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-H "Accept: text/csv" \
--data-binary @"C:\Vault\Documents\update_document_renditions.csv" \
https://myvault.veevavault.com/api/v24.2/objects/documents/batch/actions/rerenderResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS",
"id": 1,
"major_version_number__v": "0",
"minor_version_number__v": "1"
},
{
"responseStatus": "SUCCESS",
"id": 2,
"major_version_number__v": "0",
"minor_version_number__v": "1"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns whether each document rendition was successfully re-rendered.